> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List WABAs

> Returns a paginated list of WhatsApp business accounts you've registered.



## OpenAPI

````yaml /openapi/endpoints/ycloud-api-v2.yaml get /whatsapp/businessAccounts
openapi: 3.0.0
info:
  description: >-
    The [YCloud](https://ycloud.com) API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer). Our
    API is designed to have predictable, resource-oriented URLs, return
    [JSON](https://www.json.org) responses, and use standard HTTP response codes
    and verbs.
  version: v2
  title: YCloud API
  termsOfService: https://ycloud.com/terms-service
  contact:
    email: service@ycloud.com
servers:
  - url: https://api.ycloud.com/v2
    description: Base URL
security:
  - api_key: []
tags:
  - name: Balance
  - name: Contacts
  - name: Custom Events
  - name: Emails
  - name: SMS
  - name: Unsubscribers
  - name: Verify
  - name: Voices
  - name: Webhook Endpoints
  - name: WhatsApp Business Accounts
  - name: WhatsApp Inbound Messages
  - name: WhatsApp Media
  - name: WhatsApp Messages
  - name: WhatsApp Blocked Users
  - name: WhatsApp Groups
  - name: WhatsApp Calling
  - name: WhatsApp Phone Numbers
  - name: WhatsApp Templates
  - name: WhatsApp Flows
  - name: Meta Business Agent
  - name: WhatsApp Group Messages
externalDocs:
  description: Homepage
  url: https://ycloud.com
paths:
  /whatsapp/businessAccounts:
    get:
      tags:
        - WhatsApp Business Accounts
      summary: List WABAs
      description: >-
        Returns a paginated list of WhatsApp business accounts you've
        registered.
      operationId: whatsapp_business_account-list
      parameters:
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/includeTotal'
        - $ref: '#/components/parameters/filter_accountReviewStatus-WABA'
      responses:
        '200':
          description: Successfully retrieved a paginated list of objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsappBusinessAccountPage'
components:
  parameters:
    page:
      name: page
      in: query
      description: Page number of the results to be returned, 1-based.
      required: false
      schema:
        type: integer
        format: int32
        minimum: 1
        maximum: 100
        default: 1
    limit:
      name: limit
      in: query
      description: >-
        A limit on the number of results to be returned, or number of results
        per page, between 1 and 100, defaults to 10.
      required: false
      schema:
        type: integer
        format: int32
        minimum: 1
        maximum: 100
        default: 10
    includeTotal:
      name: includeTotal
      in: query
      description: >-
        Return results inside an object that contains the total result count or
        not.
      required: false
      schema:
        type: boolean
        default: false
    filter_accountReviewStatus-WABA:
      name: filter.accountReviewStatus
      in: query
      description: WhatsApp Business Account review status.
      required: false
      schema:
        type: string
        example: APPROVED
  schemas:
    WhatsappBusinessAccountPage:
      type: object
      description: Represents a given page of WhatsApp Business Accounts.
      allOf:
        - $ref: '#/components/schemas/Page'
      properties:
        items:
          description: An array containing WhatsApp Business Account objects.
          type: array
          items:
            $ref: '#/components/schemas/WhatsappBusinessAccount'
    Page:
      type: object
      description: Represents a given page of items.
      required:
        - offset
        - limit
        - length
      properties:
        offset:
          description: >-
            The position of the item this page starts from, zero-based. e.g.,
            the 11th item is at offset 10.
          type: integer
          format: int32
          minimum: 0
        limit:
          description: >-
            A limit on the number of items to be returned, between 1 and 100,
            defaults to 10.
          type: integer
          format: int32
          minimum: 1
        length:
          description: The actual number of items in the page.
          type: integer
          format: int32
          minimum: 0
        total:
          description: >-
            The total number of items. This field is returned only when the
            request parameter `includeTotal` is set to `true`.
          type: integer
          format: int32
          minimum: 0
        items:
          type: array
          items:
            type: object
    WhatsappBusinessAccount:
      type: object
      description: >-
        Represents a specific [WhatsApp Business Account
        (WABA)](https://developers.facebook.com/docs/whatsapp/overview/business-accounts).
      properties:
        id:
          type: string
          description: WhatApp Business Account ID.
        name:
          type: string
          description: User-friendly name to differentiate WhatsApp Business Accounts.
        currency:
          type: string
          description: >-
            The currency in which the payment transactions for the WhatsApp
            Business Account will be processed.
        messageTemplateNamespace:
          type: string
          description: >-
            Namespace string for the message templates that belong to the
            WhatsApp Business Account.
        accountReviewStatus:
          $ref: '#/components/schemas/WhatsappBusinessAccountReviewStatus'
        businessId:
          type: string
          description: Business Portfolio ID.
        businessName:
          type: string
          description: Business Portfolio Name.
        businessStatus:
          type: string
          description: Business Portfolio Status,Default:APPROVED
        businessVerificationStatus:
          $ref: '#/components/schemas/MetaBusinessAccountVerificationStatus'
        country:
          type: string
          description: >-
            Country of the WhatsApp Business Account's owning Meta Business
            account.
        ownershipType:
          type: string
          description: Ownership type of the WhatsApp Business Account.
        paymentMethodAttached:
          type: boolean
          description: >-
            Whether we have attached a payment method to the WhatsApp Business
            Account.
        primaryFundingId:
          type: string
          description: Primary funding ID for the WhatsApp Business Account paid service.
        purchaseOrderNumber:
          type: string
          description: >-
            The purchase order number supplied by the business for payment
            management purposes.
        timezoneId:
          type: string
          description: >-
            The timezone ID of the WhatsApp Business Account. See [Timezone
            IDs](https://developers.facebook.com/docs/marketing-api/reference/ad-account/timezone-ids).
          example: '1'
        decision:
          $ref: '#/components/schemas/WhatsappReviewDecision'
          description: >-
            Review decision made on this WhatsApp Business Account. One of
            `APPROVED` or `REJECTED` or `DEFERRED`.
        updateEvent:
          $ref: '#/components/schemas/WhatsappBusinessAccountUpdateEventEnum'
        banState:
          $ref: '#/components/schemas/WhatsappBusinessAccountBanState'
        banDate:
          type: string
          description: The date when the WABA is banned.
          example: December 9, 2022
        violationType:
          type: string
          description: >-
            Used to report violations imposed on the WABA.

            See also [WhatsApp Business Platform Policy
            Violations](https://developers.facebook.com/docs/whatsapp/overview/policy-enforcement/violations).
          example: SCAM
        restrictions:
          type: array
          description: >-
            Used to report restrictions imposed on the WABA, when that WABA
            violates [WhatsApp Business Platform
            policies](https://developers.facebook.com/docs/whatsapp/overview/policy-enforcement).
          items:
            $ref: '#/components/schemas/WhatsappBusinessAccountRestrictionInfo'
        maxPhoneNumbersPerBusiness:
          type: integer
          format: int32
          description: >-
            Included in a `whatsapp.business_account.updated` webhook with
            `updateEvent=BUSINESS_CAPABILITY_UPDATE` when Meta reports the
            Business Portfolio phone-number registration limit. Meta currently
            reports this field separately from `maxPhoneNumbersPerWaba`, but
            consumers must process both if a future update includes them
            together.
          example: 20
        maxPhoneNumbersPerWaba:
          type: integer
          format: int32
          description: >-
            Included in a `whatsapp.business_account.updated` webhook with
            `updateEvent=BUSINESS_CAPABILITY_UPDATE` when Meta reports the WABA
            phone-number registration limit. Meta currently reports this field
            separately from `maxPhoneNumbersPerBusiness`, but consumers must
            process both if a future update includes them together.
          example: 25
        authIntlRateEligibilityCountries:
          type: array
          description: >-
            Starting June 1, 2024, we are updating our authentication rate card
            and introducing a new authentication-international rate. This rate
            will apply in the the following countries:

            - June 1, 2024 – Indonesia (country calling code +62, country code
            `ID`)

            - July 1, 2024 – India (country calling code +91, country code `IN`)


            See also [Authentication-International
            Rates](https://developers.facebook.com/docs/whatsapp/pricing/authentication-international-rates).
          items:
            $ref: '#/components/schemas/WhatsappAuthIntlRateEligibilityCountry'
        primaryBusinessLocation:
          type: string
          description: >-
            Your primary business location is the country where your business is
            based. It will appear in the Business Manager under the Primary
            Business Location field starting May 1, 2024.

            [ISO 3166-1 alpha-2 country
            code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          example: US
        whatsappBusinessManagerMessagingLimit:
          type: string
          description: >-
            The owning business portfolio's messaging limit. Starting October 7,
            2025, messaging limits will instead be calculated and set on a
            business portfolio basis, and will be shared by all business phone
            numbers within each portfolio. See also [phone_number_quality_update
            webhook
            reference](https://developers.facebook.com/docs/whatsapp/cloud-api/webhooks/reference/phone_number_quality_update).

            - `TIER_NOT_SET`: The business phone number has not been used to
            send a message yet.

            - `TIER_50`: Messaging limit of 50 business-initiated conversations
            in a rolling 24-hour period.

            - `TIER_250`: Messaging limit of 250 business-initiated
            conversations in a rolling 24-hour period.

            - `TIER_2K`: Messaging limit of 2,000 business-initiated
            conversations in a rolling 24-hour period.

            - `TIER_10K`: Messaging limit of 10,000 business-initiated
            conversations in a rolling 24-hour period.

            - `TIER_100K`: Messaging limit of 100,000 business-initiated
            conversations in a rolling 24-hour period.

            - `TIER_UNLIMITED`: The business phone number has higher throughput
            with unlimited business-initiated conversations.
          example: TIER_2K
        removedReason:
          type: string
          description: >-
            Raw reason from the WhatsApp Business Account deletion event. Known
            values include:

            - `ACCOUNT_DISCONNECTED`: The account was disconnected due to
            enforcement or because the WhatsApp account was explicitly deleted.

            - `BUSINESS_DOWNGRADE`: The phone number was registered with the
            consumer WhatsApp app.

            - `CHANGE_NUMBER`: The WhatsApp phone number was changed.

            - `COMPANION_INACTIVITY`: A companion device was inactive for
            approximately 30 days.

            - `PRIMARY_INACTIVITY`: A primary device was inactive for
            approximately 30 days.

            - `USER_RE_REGISTERED`: WhatsApp was re-registered on a new device.


            Unknown values are returned as received.
          example: ACCOUNT_DISCONNECTED
        removedInitiatedBy:
          type: string
          description: >-
            Raw initiator from the WhatsApp Business Account deletion event.
            Known values include:

            - `USER`: The removal was initiated by the WhatsApp user.

            - `SYSTEM`: The removal was initiated by the Meta system.


            Unknown values are returned as received.
          example: USER
        removedTime:
          type: string
          format: date-time
          description: >-
            The time when the WhatsApp Business Account deletion event was
            received, formatted in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339). e.g.,
            `2026-05-19T12:00:00.000Z`.
          example: '2026-05-19T12:00:00.000Z'
    WhatsappBusinessAccountReviewStatus:
      type: string
      description: WhatsApp Business Account review status.
      enum:
        - PENDING
        - APPROVED
        - REJECTED
    MetaBusinessAccountVerificationStatus:
      type: string
      description: >-
        Current status of business verification of Meta Business Account which
        owns this WhatsApp Business Account.
      enum:
        - expired
        - failed
        - ineligible
        - not_verified
        - pending
        - pending_need_more_info
        - pending_submission
        - rejected
        - revoked
        - verified
    WhatsappReviewDecision:
      type: string
      description: >-
        Used if a decision about WhatsApp accounts or phone numbers has been
        made.
      enum:
        - APPROVED
        - REJECTED
        - DEFERRED
    WhatsappBusinessAccountUpdateEventEnum:
      type: string
      description: >-
        Indicates the update event type of the WABA when a notification is sent
        to you to report a [policy
        violation](https://developers.facebook.com/docs/whatsapp/overview/policy-enforcement),
        a WABA has been banned and more.

        - `DISABLED_UPDATE`: WhatsApp Business Account Banned.

        - `ACCOUNT_RESTRICTION`: WhatsApp Business Account Restricted Due To
        Policy Violations.

        - `ACCOUNT_VIOLATION`: WhatsApp Business Account Violates Policy.

        - `PARTNER_REMOVED`: WhatsApp Business Account was removed from the
        partner connection.

        - `PARTNER_APP_UNINSTALLED`: WhatsApp Business Account partner app was
        uninstalled.

        - `AUTH_INTL_PRICE_ELIGIBILITY_UPDATE`: WhatsApp Business Account is
        eligible for the [authentication-international
        rate](https://developers.facebook.com/docs/whatsapp/pricing/authentication-international-rates).

        - `BUSINESS_PRIMARY_LOCATION_COUNTRY_UPDATE`: Business's [primary
        business
        location](https://developers.facebook.com/docs/whatsapp/pricing/authentication-international-rates#primary-business-location)
        is set.

        - `BUSINESS_CAPABILITY_UPDATE`: Meta reported a change to the Business
        Portfolio or WABA phone-number registration limit.
      enum:
        - DISABLED_UPDATE
        - ACCOUNT_RESTRICTION
        - ACCOUNT_VIOLATION
        - PARTNER_REMOVED
        - PARTNER_APP_UNINSTALLED
        - AUTH_INTL_PRICE_ELIGIBILITY_UPDATE
        - BUSINESS_PRIMARY_LOCATION_COUNTRY_UPDATE
        - BUSINESS_CAPABILITY_UPDATE
    WhatsappBusinessAccountBanState:
      type: string
      description: The ban state of the WhatsApp Business Account.
      enum:
        - SCHEDULE_FOR_DISABLE
        - DISABLE
        - REINSTATE
    WhatsappBusinessAccountRestrictionInfo:
      type: object
      description: >-
        Used to report restrictions imposed on a specific WABA, when that WABA
        violates [WhatsApp Business Platform
        policies](https://developers.facebook.com/docs/whatsapp/overview/policy-enforcement).
      properties:
        restrictionType:
          type: string
          description: Restriction type.
          enum:
            - RESTRICTED_ADD_PHONE_NUMBER_ACTION
            - RESTRICTED_BIZ_INITIATED_MESSAGING
            - RESTRICTED_CUSTOMER_INITIATED_MESSAGING
            - RESTRICTED_DIRECT_SEND_UTILITY_TEMPLATES
        expiration:
          type: string
          format: date-time
          description: >-
            The time at which this restriction expires, formatted in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339). e.g.,
            `2022-06-01T12:00:00.000Z`.
          example: '2022-06-01T12:00:00.000Z'
    WhatsappAuthIntlRateEligibilityCountry:
      type: object
      description: >-
        Starting June 1, 2024, we are updating our authentication rate card and
        introducing a new authentication-international rate. This rate will
        apply in the the following countries:

        - June 1, 2024 – Indonesia (country calling code +62, country code `ID`)

        - July 1, 2024 – India (country calling code +91, country code `IN`)


        See also [Authentication-International
        Rates](https://developers.facebook.com/docs/whatsapp/pricing/authentication-international-rates).
      properties:
        countryCode:
          type: string
          description: >-
            [ISO 3166-1 alpha-2 country
            code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          example: IN
        startTime:
          type: string
          format: date-time
          description: >-
            Date when newly-opened authentication conversations are subject to
            authentication-international rates, formatted in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339). e.g.,
            `2024-07-01T00:00:00.000Z`.
          example: '2024-07-01T00:00:00.000Z'
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.